Skip to main content
POST
Create LiveKit Room

Authorizations

x-api-key
string
header
required

Your Beyond Presence API Key.

Body

application/json

Request body to create a LiveKit room and its conversation.

agent_id
string
required

ID of agent managing the conversation.

user_name
string | null

Name of the user.

user_email
string | null

Email of the user.

tags
Tags · object

Tags for the conversation.

Response

Created LiveKit room with its conversation ID and connection details.

Response model for a conversation including LiveKit connection details.

id
string
required

Unique identifier of the object in the database.

Example:

"01234567-89ab-cdef-0123-456789abcdef"

agent_id
string
required

ID of agent managing the conversation.

status
ToStartConversationStatus · object
required

Status for conversation that has not yet started.

livekit_url
string
required

LiveKit server URL to connect to.

livekit_token
string
required

JWT for joining the LiveKit room.

user_name
string | null

Name of the user.

user_email
string | null

Email of the user.

tags
Tags · object

Tags for the conversation.